<?php


namespace Schaffen\Core\Movement\Repositories;

use Freelabois\LaravelQuickstart\Extendables\Repository;
use Schaffen\Core\Movement\Models\ItemMovementBatch;

class ItemMovementBatchRepository extends Repository
{
  protected $model = ItemMovementBatch::class;

  protected $searchableFields = [
    ["field" => "mil_operacao"],
    ["field" => "mil_sentido"]
  ];

  public function storeOrUpdate($values, int $id = null, array $relations = [])
  {
    try {
      return parent::storeOrUpdate($values, $id, $relations);
    } catch (\Exception $e) {
      return $e;
    }
  }
}
