<?php

namespace Schaffen\Core\Product\Repositories;

use Freelabois\LaravelQuickstart\Extendables\Repository;
use Schaffen\Core\Product\Models\Batch;

class BatchRepository extends Repository
{
    protected $model = Batch::class;

    protected $searchableFields = [
        ['field' => 'lot_codigo'],
        ['field' => 'lot_descricao'],
        ['field' => 'lot_validade'],
        ['field' => 'lot_status'],
    ];

    protected function applyCustomFilters()
    {
        extract($this->filters);
    }
}
