<?php
/**
 * Created for Schaffen IT.
 * User: Thiago Traczykowski
 */

namespace Schaffen\Core\Utils\Managers;

use Schaffen\Core\Utils\Services\DateManipulator;
use Schaffen\Core\Utils\Services\Prorate;

class Utilitarian
{
   private $prorate;
   private $date_manipulator;

   public function __construct()
   {
      $this->prorate = new Prorate();
      $this->date_manipulator = new DateManipulator();
   }

   public function proratedValueByQuantity($value, $prorate_quantity)
   {
      return $this->prorate->proratedValueByQuantity($value, $prorate_quantity);
   }

   public function proportionalProratedValue($total_value, $value, $prorate)
   {
      return $this->prorate->proportionalProratedValue($total_value, $value, $prorate);
   }

   public function incrementDateByItem($arr, $initial_date, $incremented_by, $days_quantity = 1)
   {
      return $this->prorate->incrementDateByItem($arr, $initial_date, $incremented_by, $days_quantity);
   }


}
