<?php
/**
 * Created for Schaffen IT.
 * User: Thiago Traczykowski
 */

namespace Schaffen\Core\Product\Models;


use Illuminate\Database\Eloquent\Model;

class MeasurementUnit extends Model
{
   protected $connection = 'dynamicdb';
   const CREATED_AT = "unm_date_insert";
   const CREATED_BY = "unm_user_insert";
   const UPDATED_AT = "unm_date_update";
   const UPDATED_BY = "unm_user_update";
   protected $table = "cadastro.unidade_medida";
   protected $primaryKey = "unm_codigo";
   protected $fillable = ["unm_codigo", "unm_descricao", "unm_sigla", "unm_date_insert", "unm_user_insert",
      "unm_date_update", "unm_user_update"];
}
